Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	GNU extension language library
Name:      	guile
Version:   	1.8.3
Release:   	2
License:   	GNU/GPL
URL:	   	http://www.gnu.org/software/guile/
Group:     	System/Libraries
Source0:   	%{name}-%{version}.tar.gz
Patch0:		%name-mingwsymbol.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  bash
BuildRequires:  openssl-devel
BuildRequires:  gmp-devel
BuildRequires:  libtool-devel
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  glibc-devel

%description
Guile is a library designed to help programmers create flexible applications.
Using Guile in an application allows programmers to write plug-ins, or
modules (there are many names, but the concept is essentially the same) and
users to use them to have an application fit their needs. 

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig
/sbin/install-info %_infodir/guile.info.gz %_infodir/dir
 
%preun 
if [ "$1" = 0 ]; then 
/sbin/install-info --del %_infodir/guile.info.gz %_infodir/dir 
fi 

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
export CFLAGS='-O2 -march=i686 -pipe -fomit-frame-pointer'
export CXXFLAGS=$CFLAGS
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--disable-debug
make LDFLAGS="-lpthread"

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_infodir
%_datadir/guile

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.3-2
- rebuilt against libtool 1.5.24
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.3-1
- Version update
* Tue Jan 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.1-2
- rebuilt
* Thu Jan 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.1-1
- Version update
* Tue May 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.8.0-3
- added pthread support
* Tue May 09 2006 Christian Wasem <wasem@ccux-linux.de> 1.8.0-2
- removed info/dir 
* Sun Mar 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.8.0-1
- Initial Release
